Extending Qt Creator Manual | DeviceUsedPortsGatherer

Extending Qt Creator Manual 4.5.2

# DeviceUsedPortsGatherer Class

(ProjectExplorer::DeviceUsedPortsGatherer)

- List of all members, including inherited members

## Public Functions

| DeviceUsedPortsGatherer(QObject *parent = 0)
| ~DeviceUsedPortsGatherer() override
Utils::Port | getNextFreePort(Utils::PortList *freePorts) const
void | start(const IDevice::ConstPtr &device)
void | stop()
QList<Utils::Port> | usedPorts() const

## Signals

void | error(const QString &errMsg)
void | portListReady()

## Member Function Documentation

### DeviceUsedPortsGatherer::DeviceUsedPortsGatherer(QObject *parent = 0)

Default constructs an instance of DeviceUsedPortsGatherer.

### DeviceUsedPortsGatherer::~DeviceUsedPortsGatherer()

Destroys the instance of DeviceUsedPortsGatherer.

### `[signal]` void DeviceUsedPortsGatherer::error(const QString &errMsg)

### Utils::Port DeviceUsedPortsGatherer::getNextFreePort(Utils::PortList *freePorts) const

### `[signal]` void DeviceUsedPortsGatherer::portListReady()

### void DeviceUsedPortsGatherer::start(const IDevice::ConstPtr &device)

### void DeviceUsedPortsGatherer::stop()

### QList<Utils::Port> DeviceUsedPortsGatherer::usedPorts() const